MerchantE API Docs
POST/webhooks/response-ach

ACH Transaction Response (Webhook)

HTTP POST callback sent to merchant's configured response_url after an ACH transaction has been processed.

You can set your Response URL in the Advanced URL Management section of the Settings and Configuration Page in the Hosted Payments Admin.

This is a server-to-server callback and is not directly invoked by the merchant.

Request Body

Content type: application/x-www-form-urlencoded

Common4 fields
resp_codestring
Response code
resp_textstring
Response text
tran_idstring
Transaction identifier
amountstring
Transaction amount
When Provided2 fields
ref_numstring
Reference number
cust_namestring
Customer name
Other Fields9 fields
auth_typestring
Authentication type
account_typestringenum
Account type (S=Savings, C=Checking)
ip_addressstring
IP address of transaction origin
format=ipv4
ach_requeststring
ACH request type
transaction_typestring
Transaction type
account_numstring
Truncated account number
profile_keystring
Merchant profile key
profile_idstring
Merchant profile identifier
transit_numstring
Truncated routing/transit number

Responses

200
Merchant acknowledges receipt of transaction response

Merchant acknowledges receipt of transaction response

Code samples

Copy-paste ready code in your preferred language to integrate the Hosted Payment Page.

Form POST

Copy/paste friendly
API call
curl -X POST "https://cert.hostedpayments.merchante.com/hpp/webhooks/response-ach" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "profile_id=xxxx4100006000500000001" \
  --data-urlencode "payment_amount=500.00" \
  --data-urlencode "invoice_number=INV-2023-001" \
  --data-urlencode "client_reference_number=REF-12345"